var ligaRedirect="";
$(document).ready(function()
{
    iniFormValidate('frmSeccion3Encuesta133','guardarSeccion3Encuesta133');

    function iniFormValidate($formid,$btnSubmitId) {

        $.validator.setDefaults({
            submitHandler: function () {
                document.getElementById($btnSubmitId).disabled=true;
                $("#"+$btnSubmitId).html('<i class="fa fa-spin fa-spinner"></i> Cargando...');
                guardarSeccion3Encuesta133($formid,$btnSubmitId);
            }
        });
        $('#'+$formid).validate();
    }
    function guardarSeccion3Encuesta133($formid,$btnSubmitId)
    {
        var url = '../controllers/Encuesta133Controller.php';
        var $datos = $('#'+$formid).serialize();
        $.post(url,$datos,
            function (data)
            {
                if(data.type==='success'){
                    mostrarMensajeGuardado("Sección 3 guardada", "Se ha registrado la Sección 3 del ejercicio con éxito.", "success", "Aceptar")
                }
                else
                {
                    mostrarMensajeGuardado("Sección 3 No guardada", "No se ha registrado la Sección 3 del ejercicio con éxito.", "error", "Aceptar")
                }
                document.getElementById($btnSubmitId).disabled=false;
                $('#'+$btnSubmitId).html('<i class="fa fa-2x fa-copy"></i>Realizar Encuesta');
                ligaRedirect ="https://tiempo-mandarina.org/encuesta2/controllers/Encuesta133Controller.php?userId="+data.userId+"&nombreAlumno="+data.nombreAlumno+"&opc="+data.opc;
            }, 'json');
    }
});

function mostrarMensajeGuardado(titulo,texto,icon,button)
{
    Swal.fire({
        title: titulo,
        html: texto,
        icon: icon,
        confirmButtonColor: '#3085d6',
        confirmButtonText: '<i class="fa fa-close"> '+button,
        willClose: () => {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    }).then((result) => {
        if (result.isConfirmed) {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    })
}